
%if 0%{?fedora}
## disable: kopete can't use google talk http://bugzilla.redhat.com/963310
#define use_system_iris 1
%endif

Name:    kopete
Summary: Instant messenger
Version: 4.11.5
Release: 1%{?dist}

License: GPLv2+ and GFDL
#URL:    https://projects.kde.org/projects/kde/kdenetwork/%{name}
URL:     http://kopete.kde.org/
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

# support USE_SYSTEM_IRIS build option
Patch4: kdenetwork-4.10.0-kopete_system_iris.patch

## upstreamable patches

## upstream patches (4.11)

## upstream patches (master)
Patch0141: 0141-ported-otr-plugin-to-libotr-4.0.0.patch

# support linphone-3.6.1+, see https://bugs.kde.org/318825
%if 0%{?fedora} > 18
%define linphone_version 3.6.0
%else
%define linphone_version 2.3.0
%endif
Patch50:  kopete-mediastreamer29.patch

BuildRequires: desktop-file-utils
BuildRequires: expat-devel
BuildRequires: giflib-devel
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: pkgconfig(alsa)
%if 0%{?fedora}
BuildRequires: openslp-devel
BuildRequires: pkgconfig(avahi-compat-libdns_sd)
BuildRequires: pkgconfig(jsoncpp)
BuildRequires: pkgconfig(libgadu) >= 1.8.0
BuildRequires: pkgconfig(libotr)
BuildRequires: pkgconfig(mediastreamer)
BuildRequires: linphone-devel >= %{linphone_version}
%endif
%if 0%{?use_system_iris:1}
BuildRequires: pkgconfig(iris) >= 2.0.0
%endif
BuildRequires: pkgconfig(jasper)
BuildRequires: pkgconfig(libidn)
# MSN no longer works, consider omitting support here?  -- rex
BuildRequires: pkgconfig(libmsn)
BuildRequires: pkgconfig(libotr)
BuildRequires: pkgconfig(libv4l2)
BuildRequires: pkgconfig(libxslt)
BuildRequires: pkgconfig(meanwhile)
BuildRequires: pkgconfig(ortp)
BuildRequires: pkgconfig(qca2)
BuildRequires: pkgconfig(qimageblitz)
BuildRequires: pkgconfig(speex)
BuildRequires: pkgconfig(sqlite3)
BuildRequires: libvncserver-devel
BuildRequires: openldap-devel

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}

# when split occurred
Conflicts: kdenetwork-common < 7:4.10.80
Obsoletes: kdenetwork-kopete < 7:4.10.80
Provides:  kdenetwork-kopete = 7:%{version}-%{release}

%package libs
Summary: Runtime libraries for %{name}
Requires: %{name} = %{version}-%{release}
Obsoletes: kdenetwork-kopete-libs < 7:4.10.80
Provides:  kdenetwork-kopete-libs = 7:%{version}-%{release}
%description libs
%{summary}.

%package devel
Summary: Developer files for %{name}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
Obsoletes: kdenetwork-kopete-devel < 7:4.10.80
Provides:  kdenetwork-kopete-devel = 7:%{version}-%{release}
%description devel
%{summary}.



%description
%{summary}.


%prep
%setup -q

# fixme/rebase
#patch4 -p1 -b .kopete_system_iris

# where linphone-3.6.1+ is used
%if 0%{?fedora} > 18
%patch50 -p1 -b .mediastreamer29
%endif


%if 0%{?use_system_iris:1}
mv kopete/protocols/jabber/libiris \
   kopete/protocols/jabber/libiris.BAK
%endif

%if 0%{?fedora} > 19
%patch0141 -p1 -b .0141
%endif


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
  -DMOZPLUGIN_INSTALL_DIR:PATH=%{_libdir}/mozilla/plugins \
  %{?use_system_iris:-DUSE_SYSTEM_IRIS:BOOL=ON} \
  -DWITH_JINGLE:BOOL=TRUE \
  ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --without-mo


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
update-desktop-database -q &> /dev/null ||:

%postun
if [ $1 -eq 0 ] ; then
  touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  touch --no-create %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
  gtk-update-icon-cache %{_kde4_iconsdir}/oxygen &> /dev/null ||:
  update-desktop-database -q &> /dev/null ||:
fi

%files -f %{name}.lang
%if 0%{?fedora}
%{_kde4_bindir}/googletalk-call
%endif
%{_kde4_bindir}/kopete
%{_kde4_bindir}/winpopup*
%{_kde4_appsdir}/kopete*
%{_kde4_appsdir}/kconf_update/kopete*
%{_libdir}/mozilla/plugins/skypebuttons.so
%{_kde4_configdir}/kopeterc
%{_datadir}/dbus-1/interfaces/org.kde.Kopete.xml
%{_datadir}/dbus-1/interfaces/org.kde.kopete.*.xml
%{_kde4_datadir}/applications/kde4/kopete.desktop
%{_kde4_datadir}/config.kcfg/kopete*
%{_kde4_datadir}/sounds/Kopete_*
%{_kde4_datadir}/kde4/services/aim.protocol
%{_kde4_datadir}/kde4/services/callto.protocol
%{_kde4_datadir}/kde4/services/chatwindow.desktop
%{_kde4_datadir}/kde4/services/emailwindow.desktop
%{_kde4_datadir}/kde4/services/kopete_*.desktop
%{_kde4_datadir}/kde4/services/kconfiguredialog/
%{_kde4_datadir}/kde4/services/skype.protocol
%{_kde4_datadir}/kde4/services/tel.protocol
%{_kde4_datadir}/kde4/services/xmpp.protocol
%{_kde4_datadir}/kde4/servicetypes/kopete*.desktop
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_libdir}/kde4/kopete_*.so
%{_kde4_libdir}/kde4/kcm_kopete_*.so
%{_kde4_libdir}/libqgroupwise.so
%{_kde4_bindir}/kopete_latexconvert.sh
%{_kde4_libdir}/kde4/libchattexteditpart.so
%{_kde4_datadir}/config.kcfg/historyconfig.kcfg
%{_kde4_datadir}/config.kcfg/history2config.kcfg
%{_kde4_datadir}/config.kcfg/latexconfig.kcfg
%{_kde4_datadir}/config.kcfg/nowlisteningconfig.kcfg
%{_kde4_datadir}/config.kcfg/translatorconfig.kcfg
%{_kde4_datadir}/config.kcfg/urlpicpreview.kcfg
%{_kde4_datadir}/config.kcfg/webpresenceconfig.kcfg

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/kde4/plugins/accessible/
%{_kde4_libdir}/libkopete*.so.*
%{_kde4_libdir}/libkyahoo.so*
%{_kde4_libdir}/liboscar.so*

%files devel
%{_kde4_includedir}/kopete/
%{_kde4_libdir}/libkopete*.so


%changelog
* Sat Jan 04 2014 Rex Dieter <rdieter@fedoraproject.org> - 4.11.5-1
- 4.11.5

* Fri Dec 13 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.4-1
- 4.11.4

* Sat Nov 23 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-2
- kopete requires libotr3 and does not work with libotr-4 (#999597)
- more jabber fixes (kde#324937)

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Sat Aug 17 2013 Rex Dieter <rdieter@fedoraproject.org> 4.11.0-2
- BR: libotr-devel sqlite-devel

* Sun Aug 11 2013 Rex Dieter <rdieter@fedoraproject.org> 4.11.0-1
- 4.11.0

* Tue Jul 30 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.97-1
- 4.10.97

* Wed Jul 24 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.95-1
- 4.10.95

* Mon Jul 08 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.90-2
- mediastreamer29.patch (kde#318825)
- BR: pkgconfig(alsa)

* Fri Jun 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.90-1
- 4.10.90
